def var h-win as handle no-undo.

create window h-win
    assign
        HIDDEN             = YES
        TITLE              = "Customer browser"
        HEIGHT             = 16
        WIDTH              = 80
        RESIZE             = no
        SCROLL-BARS        = no
        STATUS-AREA        = yes
        BGCOLOR            = ?
        FGCOLOR            = ?
        KEEP-FRAME-Z-ORDER = yes
        THREE-D            = yes
        MESSAGE-AREA       = no
        SENSITIVE          = yes
        MAX-BUTTON         = no
        DROP-TARGET        = no
        name = "Customer browser"
        row = 1
        column = 1
        .

this-procedure:current-window = h-win.
h-win:hidden = no.

def var noentry as log no-undo.
/*


on entry of h-win
do:
    message "entry" noentry current-window:title
    "last-event" LAST-EVENT:LABEL skip
    "self" self:name skip
    "focus" focus:window:name skip
    "leave" last-event:widget-leave
    "enter" last-event:widget-enter
    .
    if noentry
    then do:
        noentry = no.
        return no-apply.
    end.
end.
*/

def query cq for customer scrolling.
def browse bc query cq 
    display Customer.CustNum Customer.name Customer.City
    with 15 down.

def button b-prev label "prev" no-focus flat-button.
def button b-next label "next" no-focus flat-button.
def button b-exit label "exit" no-focus flat-button.
def var h-viewproc as handle no-undo.
form
    b-prev b-next b-exit skip
    bc
    with frame f
    .

on choose of b-prev
do:
    noentry = yes.
    apply 'cursor-up' to browse bc.
    publish "navigate" (rowid(customer)).
end.

on choose of b-next
do:
    noentry = yes.
    apply 'cursor-down' to browse bc.
    publish "navigate" (rowid(customer)).
end.

on choose of b-exit apply 'close' to this-procedure.

open query cq for each customer no-lock.
do with frame f:
    view.
    enable all.
    apply 'home' to browse bc.
    run ordbrowse.p persistent (this-procedure, rowid(customer)).
    run custview.p persistent (this-procedure, rowid(customer)).
    wait-for close of this-procedure.
end.
